1. Jay_eS_Iye's Avatar
    My original issue was discussed in the iphone-forum (191376-losing-signal-no-service) (cant' post links yet)

    I'm looking to reload the OS on my wife's 3GS which is currently running 3.1.2 Pwnage jailbroken. Since I was (and still kind of am) new to Apple's I didn't backup the SHSH's or I'm guessing I didn't. When I go into Cydia now it says I have them stored for 3.1.3 only.

    Question is, what is the proper way to reload her OS? Let me know if this is right: I was planning on upgrading the OS to 3.1.3 in iTunes (don't know if I should do it through iTunes or download the OS file separately). I was going to leave it for a while to see if her original problem went away, then I was going to use Spirit to JB it. Is this the right way to go?
    06-11-2010 03:03 PM
  2. big9erfan's Avatar
    SHSH backups are automatic once you're jailbroken, it's all done by Cydia, not by you. Your only job is to be jailbroken before Apple posts the next version of the OS( firmware ). For example, you have firmware 3.1.2, but only have SHSH for 3.1.3. This means you ( or your wife ) jailbroke your device AFTER 3.1.3 came out.

    If you want to update to 3.1.3 and don't need the device unlocked ( you're using it on AT&T or whatever official carrier ), just update to 3.1.3 using iTunes and then jailbreak with Spirit AFTER you have confirmed that the phone is not defective.
    06-11-2010 03:46 PM
  3. Jay_eS_Iye's Avatar
    Ok, that makes sense (and that is what happened, I had to search for 3.1.2 to download it and keep it). To clarify, there is no way of staying with 3.1.2 at this point, correct? And (as I prepare for the flaming), will is ever be possible to unlock 3.1.3 or 4.0 (that anyone knows of)?
    06-11-2010 04:23 PM
  4. big9erfan's Avatar
    No, you can't keep 3.1.2, is there a particular reason you want to? Do you need to unlock?

    You could use sn0wbreeze to create a custom 3.1.3 that would preserve your baseband so that you could unlock on 3.1.3 if you wanted to. PwnageTool & Sn0wbreeze will be updated for 4.0 as well to preserve the baseband so you can unlock ( the same baseband as 3.1.2 ).

    There is no known unlock for 3.1.3 or 4.0, though Geohot has hinted he might have a working exploit for the next baseband, and even if he does, nobody knows ( except him ) when or if he will release it.
    06-11-2010 04:50 PM
LINK TO POST COPIED TO CLIPBOARD